Bug 474911 - don't depend directly on fedora-release
don't depend directly on fedora-release
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 16:28 EST by Rahul Sundaram
Modified: 2013-03-13 01:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-31 06:14:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-12-05 16:28:45 EST
Description of problem:

To enable Fedora remixes, all packages which require repository files should depend on system-release instead of fedora-release directly, so as to allow someone to add fedora-release which provides system-release and avoid running afoul of the Fedora trademark guidelines and easily rebrand the distribution. I have ensured that all packages in Fedora and third party repo release packages as well have fixed this problem except apt. Please fix apt (and your repo release files) to depend on system-release instead of fedora-release. Thanks.
Comment 1 Panu Matilainen 2008-12-23 03:55:24 EST
FWIW before this can happen apt needs to be taught to look into provides for APT::DistroVerPkg, currently it only looks at package name. No big deal and just a matter of doing, but until then the direct dependency on fedora-release is real.
Comment 2 Panu Matilainen 2008-12-31 06:14:32 EST
Fixed in upstream + rawhide now
Comment 3 Fedora Update System 2009-01-07 03:05:11 EST
apt-0.5.15lorg3.95-0.git416.3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/apt-0.5.15lorg3.95-0.git416.3.fc10
Comment 4 Fedora Update System 2009-01-14 22:10:46 EST
apt-0.5.15lorg3.95-0.git416.3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.